<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>18.1.4: <TT>long double</TT></title>
<link href="sx4ca.html" rev=precedes>
<link href="sx4ea.html" rel=precedes>
<link href="sx4a.html" rev=subdocument>
</head>
<body>
<H3>18.1.4: <TT>long double</TT></H3>

<p>The two common floating-point types in C are <TT>float</TT> and <TT>double</TT>.
We haven't said much about the differences between them, because 
there isn't much to say:
<TT>double</TT> generally gives you more precision
(more digits' worth of significance),
and perhaps more range
(an ability to use numbers with larger
exponents)
than <TT>float</TT>.
Continuing this progression,
ANSI C added a third floating-point type,
<TT>long double</TT>,
which may give you
even more range
or
even more precision.
If you're using a machine with an extended-precision floating-point format,
<TT>long double</TT> will let you access that format.
But if your machine has only two floating-point formats,
<TT>float</TT> and <TT>double</TT> will probably map to those,
and <TT>long double</TT> won't end up being
any better than plain <TT>double</TT>.
</p><p>The <TT>printf</TT> and <TT>scanf</TT> formats
for <TT>long double</TT>
are <TT>%Le</TT>, <TT>%Lf</TT>, and <TT>%Lg</TT>.
</p><hr>
<p>
Read sequentially:
<a href="sx4ca.html" rev=precedes>prev</a>
<a href="sx4ea.html" rel=precedes>next</a>
<a href="sx4a.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1996-1999
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
